package de.dfki.mlt.advent2022;

import static org.assertj.core.api.Assertions.assertThat;

import java.io.IOException;
import java.nio.file.Paths;
import org.junit.jupiter.api.Test;

class Day03Test {

  static final String BASE = "src/main/data2022";

  @Test
  void testTask1() throws IOException {
    assertThat(Day03.firstTask(Paths. get(BASE, "day03-demo.txt"))).isEqualTo(157);
    assertThat(Day03.firstTask(Paths.get(BASE, "day03.txt"))).isEqualTo(7817);
  }

  @Test
  void testTask2() throws IOException {
    assertThat(Day03.secondTask(Paths.get(BASE, "day03-demo.txt"))).isEqualTo(70);
    assertThat(Day03.secondTask(Paths.get(BASE, "day03.txt"))).isEqualTo(2444);
  }
}
