package de.dfki.mlt.advent2022;

import static org.assertj.core.api.Assertions.assertThat;

import java.io.IOException;
import java.nio.file.Paths;
import org.junit.jupiter.api.Test;

class Day04Test {

  static final String BASE = "src/main/data2022";

  @Test
  void testTask1() throws IOException {
    assertThat(Day04.firstTask(Paths.get(BASE, "day04-demo.txt"))).isEqualTo(2);
    assertThat(Day04.firstTask(Paths.get(BASE, "day04.txt"))).isEqualTo(498);
  }

  @Test
  void testTask2() throws IOException {
    assertThat(Day04.secondTask(Paths.get(BASE, "day04-demo.txt"))).isEqualTo(4);
    assertThat(Day04.secondTask(Paths.get(BASE, "day04.txt"))).isEqualTo(859);
  }
}
