package de.dfki.mlt.advent2022;

import static org.assertj.core.api.Assertions.assertThat;

import java.io.IOException;
import java.nio.file.Paths;
import org.junit.jupiter.api.Test;

class Day05Test {

  static final String BASE = "src/main/data2022";

  @Test
  void testTask1() throws IOException {
    assertThat(Day05.firstTask(Paths.get(BASE, "day05-demo.txt"))).isEqualTo("CMZ");
    assertThat(Day05.firstTask(Paths.get(BASE, "day05.txt"))).isEqualTo("ZRLJGSCTR");
  }

  @Test
  void testTask2() throws IOException {
    assertThat(Day05.secondTask(Paths.get(BASE, "day05-demo.txt"))).isEqualTo("MCD");
    assertThat(Day05.secondTask(Paths.get(BASE, "day05.txt"))).isEqualTo("PRTTGRFPB");
  }
}
