package de.dfki.mlt.advent2022;

import static org.assertj.core.api.Assertions.assertThat;

import java.io.IOException;
import java.nio.file.Paths;
import org.junit.jupiter.api.Test;

class Day01Test {

  static final String BASE = "src/main/data2022";

  @Test
  void testTask1() throws IOException {
    assertThat(Day01.firstTask(Paths.get(BASE, "day01-demo.txt"))).isEqualTo(24000);
    assertThat(Day01.firstTask(Paths.get(BASE, "day01.txt"))).isEqualTo(69289);
  }

  @Test
  void testTask2() throws IOException {
    assertThat(Day01.secondTask(Paths.get(BASE, "day01-demo.txt"))).isEqualTo(45000);
    assertThat(Day01.secondTask(Paths.get(BASE, "day01.txt"))).isEqualTo(205615);
  }
}
