package de.dfki.mlt.advent2022;

import static org.assertj.core.api.Assertions.assertThat;

import java.io.IOException;
import java.nio.file.Paths;
import org.junit.jupiter.api.Test;

class Day02Test {

  static final String BASE = "src/main/data2022";

  @Test
  void testTask1() throws IOException {
    assertThat(Day02.firstTask(Paths.get(BASE, "day02-demo.txt"))).isEqualTo(15);
    assertThat(Day02.firstTask(Paths.get(BASE, "day02.txt"))).isEqualTo(14297);
  }

  @Test
  void testTask2() throws IOException {
    assertThat(Day02.secondTask(Paths.get(BASE, "day02-demo.txt"))).isEqualTo(12);
    assertThat(Day02.secondTask(Paths.get(BASE, "day02.txt"))).isEqualTo(10498);
  }
}
