package de.dfki.mlt.advent2022;

import static org.assertj.core.api.Assertions.assertThat;

import java.io.IOException;
import java.nio.file.Paths;
import org.junit.jupiter.api.Test;

class Day08Test {

  static final String BASE = "src/main/data2022";

  @Test
  void testTask1() throws IOException {
    assertThat(Day08.firstTask(Paths.get(BASE, "day08-demo.txt"))).isEqualTo(21);
    assertThat(Day08.firstTask(Paths.get(BASE, "day08.txt"))).isEqualTo(1669);
  }

  @Test
  void testTask2() throws IOException {
    assertThat(Day08.secondTask(Paths.get(BASE, "day08-demo.txt"))).isEqualTo(8);
    assertThat(Day08.secondTask(Paths.get(BASE, "day08.txt"))).isEqualTo(331344);
  }
}
